Author Topic: Warning for those using the stable branch (master) (2016-04-04 and 2 may 2016)  (Read 6596 times)

Offline archer

  • Overlord
  • ******
  • Posts: 24
  • Helpful: +5/-0
We will be making changes to how we handle updating our code. In order to do this effectively we need to change some of our git branches to a 'normal' structure. Unfortunately this means that the stable code has to be in a branch that is named closely to its version. Hence 'master' has to be renamed to '0.x'
Before users on the old 'master' branch can update you will have to update your local git repository using the following commands:
Code: [Select]
git checkout master
git branch -m 0.x
git fetch -p
git branch --set-upstream-to=origin/0.x
To make sure this worked do:
Code: [Select]
git pull
it should tell you you're up to date if all went well.

If you have any questions about this, find me or another dev in the IRC channel ;-)
« Last Edit: 2016-05-03, 07:37:14 AM by Wally73 »
Support my tech addiction.

Offline Wally73

  • Overlord
  • ******
  • Posts: 259
  • Helpful: +28/-1
  • i'm nuts
0.6.0 2016-05-02
Added:
- Support for Composer to handle the project and its dependencies (third party libraries).
   In particular this means after this update you will no longer use git pull to updates then
   have to manually run update_db (that script has been removed).
   Instead you will have to install Composer (one time only)
   https://getcomposer.org/doc/00-intro.md#downloading-the-composer-executable

We recommend the global method, as we do not provide the composer.phar file in our repo.   

Then in nZEDb root dir run:
      
Code: [Select]
composer install    Once that is done (and in the future) run:
      
Code: [Select]
./zed update nzedb    This will check and install all dependencies and then run the Db updater automatically.
    You may have to set permissions on .../app/libraries and .../resources/smarty/templates_c